Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RBasic Struct Reference

`#include <ruby.h>`

## Data Fields
VALUE | flags
VALUE | klass

## Detailed Description

Definition at line 572 of file ruby.h.

## Field Documentation

VALUE RBasic::flags

Definition at line 573 of file ruby.h.

Referenced by chain_finalized_object(), count_objects(), gc_mark(), gc_mark_all(), gc_mark_children(), gc_sweep(), make_deferred(), os_obj_of_i(), rb_intern3(), and rb_objspace_each_objects().

VALUE RBasic::klass

Definition at line 574 of file ruby.h.

Referenced by gc_mark_children(), os_obj_of_i(), and rb_intern3().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h